Update namespace
curl --request PATCH \
--url https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "This is a sample namespace.",
"envs": {
"ENV_VAR": "value"
}
}
'import requests
url = "https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}"
payload = {
"description": "This is a sample namespace.",
"envs": { "ENV_VAR": "value" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'This is a sample namespace.', envs: {ENV_VAR: 'value'}})
};
fetch('https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Function as a Service
Update namespace
Update the configuration of an existing namespace. Only specified fields will be modified.
PATCH
/
cloud
/
v1
/
faas
/
namespaces
/
{project_id}
/
{region_id}
/
{namespace_name}
Update namespace
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Namespace name
Pattern:
^[a-z][-a-z0-9]{0,24}[a-z0-9]$Example:
"namespace-name"
Body
application/json
Namespace description.
Maximum string length:
255Example:
"This is a sample namespace."
Namespace environment variables. Keys must match a specific regex pattern and be 1-255 characters long, and values must be 0-255 characters long.
Show child attributes
Show child attributes
Example:
{ "ENV_VAR": "value" }
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?